Bug 896130 - No login key is writen in Mate-Desktop
Summary: No login key is writen in Mate-Desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-16 17:01 UTC by Wolfgang Ulbrich
Modified: 2013-04-24 01:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:20:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-01-16 17:01:06 UTC
Description of problem:
Pam mate-keyring authorization doesn't work in Mate.
In result no login key is writen in ~.config/mate/keyrings/


Version-Release number of selected component (if applicable):
all

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
changing /etc/pam.d/lightdm to

#%PAM-1.0
auth     [success=done ignore=ignore default=bad] pam_selinux_permit.so
auth       required    pam_env.so
auth       substack    system-auth
-auth       optional    pam_gnome_keyring.so
-auth       optional    pam_mate_keyring.so
auth       include     postlogin
account    required    pam_nologin.so
account    include     system-auth
password   include     system-auth
session    required    pam_selinux.so close
session    required    pam_loginuid.so
session    optional    pam_console.so
-session    optional    pam_ck_connector.so
session    required    pam_selinux.so open
session    optional    pam_keyinit.so force revoke
session    required    pam_namespace.so
-session    optional    pam_gnome_keyring.so auto_start
-session    optional    pam_mate_keyring.so auto_start
session    include     system-auth
session    include     postlogin

same should be done for /etc/pam.d/lightdm-autologin  ,imo

Comment 1 Gregor Tätzner 2013-01-16 22:10:14 UTC
whats 'pam_ck_connector.so' doing. Is it mandatory?

Comment 2 Rex Dieter 2013-01-17 18:03:31 UTC
By lightdm, yes, it requires ConsoleKit registration for full function (though the hard dependency could be removed, I'd rather wait until systemd-logind support is implemented fully before doing so)

Comment 3 Wolfgang Ulbrich 2013-04-12 08:53:05 UTC
Rex,
after 3 month, when we can expect that you add those lines
-auth       optional    pam_mate_keyring.so
-session    optional    pam_mate_keyring.so auto_start

to /etc/pam.d/lightdm and /etc/pam.d/lightdm-autologin for fixing this issue?

Comment 4 Fedora Update System 2013-04-15 02:53:38 UTC
lightdm-1.4.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lightdm-1.4.1-2.fc18

Comment 5 Fedora Update System 2013-04-15 02:55:03 UTC
lightdm-1.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lightdm-1.6.0-1.fc19

Comment 6 Fedora Update System 2013-04-15 16:21:33 UTC
Package lightdm-1.6.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-1.6.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5720/lightdm-1.6.0-2.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-04-20 19:21:00 UTC
lightdm-1.6.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-24 01:31:00 UTC
lightdm-1.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.